import { UserTick } from "iconsax-react";
import { FC } from "react";
import { useTranslation } from "react-i18next";
import { useLocation } from "react-router-dom";
import { Pages } from "../../config/Pages";
import SubMenuItem from "./SubMenuItem";

const ResellerSubMenu: FC = () => {
  const location = useLocation();
  const { t } = useTranslation("global");

  const isActive = (name: string) => location.pathname.includes(name);

  return (
    <div className="py-12">
      <div className="flex gap-3 items-center border-b pb-10 px-6">
        <UserTick
          size={24}
          color="#000"
          variant="Bold"
        />
        <div className="text-xs">{t("sidebar.representatives")}</div>
      </div>

      <div className="flex flex-col mt-10 gap-4">
        <SubMenuItem
          title={t("submenu.representative_list")}
          isActive={isActive("reseller/list") || isActive("reseller/create")}
          link={Pages.reseller.list}
          activeName="reseller"
        />
        <SubMenuItem
          title={t("sidebar.withdraw")}
          isActive={isActive("reseller/withdraw")}
          link={Pages.reseller.withdraw}
          activeName="reseller"
        />
      </div>
    </div>
  );
};

export default ResellerSubMenu;
